Subject: Re: linux-next: manual merge of the hyperv tree with the tip tree

From: Borislav Petkov <[email-masked]>
Date: Tue, 16 Mar 2021 16:02:54 +0100

On Mon, Mar 15, 2021 at 02:35:05PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the hyperv tree got a conflict in:
> 
>   arch/x86/include/asm/mshyperv.h
> 
> between commit:
> 
>   a0e2bf7cb700 ("x86/paravirt: Switch time pvops functions to use static_call()")
> 
> from the tip tree and commit:
> 
>   eb3e1d370b4c ("clocksource/drivers/hyper-v: Handle sched_clock differences inline")
> 
> from the hyperv tree.
> 
> I fixed it up (I used the latter version of this file and then applied the
> following patch) and can carry the fix as necessary. This is now fixed
> as far as linux-next is concerned, but any non trivial conflicts should
> be mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

Right,

so tglx and I took a quick look and came to the conclusion that it would
be best if you - provided it is not too much trouble - keep applying
this patch so that linux-next can get tested properly and we - Wei or I
- explain this merge conflict in our pull requests during the next merge
window and ask Linus to merge your patch ontop. This way we'll save us
the cross-tree merging dance.

Thx!

-- 
Regards/Gruss,
    Boris.

SUSE Software Solutions Germany GmbH, GF: Felix Imendörffer, HRB 36809, AG Nürnberg